#*******************************************************************************
#    Copyright (C) 2006 K. Vasudevan. Indian Institute of Technology Kanpur.
#    All Rights Reserved.
#*******************************************************************************
# Plot of the bit error rates for rate-1/2 and 1/3 turbo codes.
#*******************************************************************************
#*******************************************************************************
# Gnuplot file. To plot the graph run gnuplot and at the gnuplot prompt
# type: load "tc.gp"<RETURN>
# If you want the output on the screen, comment the following two lines:
# set term postscript eps color 22
# set output "tc.eps"
# Comment lines begin with a #.
# For help on gnuplot, run gnuplot and type the following at the gnuplot
# prompt: help
#*******************************************************************************
set term postscript eps color 22
set nokey
set grid xtics ytics mytics lw 0.5 lw 0.5
set format y "%2.1e"
set output "tc.eps"
set logscale y
#set xlabel "SNR (dB)"
#set ylabel "Symbol error rate"
plot "r12init0.dat" t\
     "Rate-1/2, Init 0"\
      w lines lt -1 lw 2,\
     "r12init1.dat" t "Rate-1/2, Init 1"\
      w lines lt -1 lw 2,\
     "r12init2.dat" t "Rate-1/2, Init 2"\
      w lines lt -1 lw 2,\
     "r13init0.dat" t "Rate-1/3, Init 0"\
      w lines lt -1 lw 2,\
     "r13init1.dat" t "Rate-1/3, Init 1"\
      w lines lt -1 lw 2,\
     "r13init2.dat" t "Rate-1/3, Init 2"\
      w lines lt -1 lw 2
